%define nepomukextras_major 0
%define libnepomukextras %mklibname nepomukextras %nepomukextras_major

Name:          nepomukextras
Version:       0.2.0
Release:       %mkrel 3
Summary:       A set of convinience classes for the Nepomuk semantic desktop
Group:         System/Libraries
License:       GPLv2+
Url:           ftp://ftp.kde.org/pub/kde/unstable/nepomuk/
Source0:       ftp://ftp.kde.org/pub/kde/unstable/nepomuk/%{name}-%{version}.tar.bz2
Requires:      %libnepomukextras = %version-%release
BuildRequires: kdelibs4-devel
BuildRequires: tesseract-devel
BuildRequires: kolena-devel

%description
A set of convinience classes for the Nepomuk semantic desktop. 

%files -f %name.lang
%defattr(-,root,root)

#-------------------------------------------------------------------------

%package -n %libnepomukextras
Summary:    %{name} library
Group:      System/Libraries

%description -n %libnepomukextras
A set of convinience classes for the Nepomuk semantic desktop. 

%files -n %libnepomukextras
%defattr(-,root,root)
%_kde_libdir/libnepomukextras.so.%{nepomukextras_major}*

#-------------------------------------------------------------------------

%package devel
Summary: %{name} devel headers
Requires: %{libnepomukextras} = %{version}

%description devel
A set of convinience classes for the Nepomuk semantic desktop. 

%files devel
%defattr(-,root,root)
%_kde_includedir/nepomuk/*
%_kde_datadir/cmake/NepomukExtras
%_kde_libdir/libnepomukextras.so

#-------------------------------------------------------------------------

%prep
%setup -q -n %name-%version

%build
%cmake_kde4 
%make
 
%install
rm -rf %buildroot
%makeinstall_std -C build
%find_lang %name

%clean
%__rm -rf %buildroot


%changelog
* Thu May 12 2011 mikala <mikala> 0.2.0-3.mga1
+ Revision: 97413
- Update summary,description & group

* Tue May 10 2011 mikala <mikala> 0.2.0-2.mga1
+ Revision: 97004
- Add a %%clean section

* Tue May 10 2011 mikala <mikala> 0.2.0-1.mga1
+ Revision: 96996
- Use %%mkrel
- Remove BuildRoot
- imported package nepomukextras


* Tue Apr 05 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.2.0-1
+ Revision: 650427
- import nepomukextras

